Get Machine
curl --request GET \
--url https://api.cyberdesk.io/v1/machines/{machine_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/machines/{machine_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/machines/{machine_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unkey_key_id": "<string>",
"status": "connected",
"is_available": true,
"alerts_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"name": "<string>",
"version": "<string>",
"hostname": "<string>",
"os_info": "<string>",
"machine_parameters": {},
"machine_sensitive_parameters": {},
"reserved_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_keepalive_machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"physical_server_id": "<string>",
"pools": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"pool_parameters": {},
"pool_sensitive_parameters": {},
"machine_count": 0
}
],
"included": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}machines
Get Machine
Get a specific machine by ID.
The machine must belong to the authenticated organization.
Use the include parameter to fetch related resources in the response.
Related resources are returned in the included array following the JSON:API pattern.
GET
/
v1
/
machines
/
{machine_id}
Get Machine
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Comma-separated list of related resources to include. Allowed values: pools. Example: include=pools
Response
Successful Response
Machine response with optional included related resources.
Available options:
connected, disconnected, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources requested via the include query parameter
Show child attributes
Show child attributes
Was this page helpful?